<?php

global $user, $template, $lang, $conf;

if (!defined('PHPWG_ROOT_PATH')) define('PHPWG_ROOT_PATH','../../');

include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );

check_status(ACCESS_GUEST);

include_once('./include/constants.php');
include_once('./include/functions_news.inc.php');
include(get_language_filepath('plugin.lang.php', './'));



$conf_nbc_News = explode(";" , $conf['nbc_News']);
$conf['nb_news_homepage'] = $conf_nbc_News[0];
$conf['nb_news_page'] = $conf_nbc_News[1];
$conf['nb_news_page_option'] = explode("," ,$conf_nbc_News[2]);



// detection of the start news to display
if ( !isset( $_GET['start'] ) or !is_numeric( $_GET['start'] ) or ( is_numeric( $_GET['start'] ) and $_GET['start'] < 0 ) )
{
  $page['start'] = 0;
}
else
{
  $page['start'] = $_GET['start'];
}

// detection of the number of news to display per page
if ( !isset( $_GET['nb_news_page'] ) or !is_numeric( $_GET['nb_news_page'] ) or ( is_numeric( $_GET['nb_news_page'] ) and $_GET['nb_news_page'] < 0 ) )
{
  $page['nb_news_page'] = $conf['nb_news_page'];
}
else
{
  $page['nb_news_page'] = $_GET['nb_news_page'];
}



// +-----------------------------------------------------------------------+
// |                               options                                 |
// +-----------------------------------------------------------------------+

$title= $lang['title_news'];
$template_title = $lang['title_news'];
$page['body_id'] = 'theNewsPage';

$template->set_filenames(array('news' => NBC_NEWS_PATH.'template/news.tpl'));

$template->assign_vars(
  array(
    'U_NEWS_HOME' => PHPWG_ROOT_PATH,
    'U_NEWS_HELP' => PHPWG_ROOT_PATH.'popuphelp.php?page=news',
    'NEWS_CSS' => '<link rel="stylesheet" type="text/css" href="'.NBC_NEWS_PATH.'/template/newspage.css">',
  )
);
  


// +-----------------------------------------------------------------------+
// |               news per pages & nav bar display                        |
// +-----------------------------------------------------------------------+

$user['forbidden_news'] = calculate_news_permissions($user['id']);

$query = '
  SELECT COUNT(DISTINCT(id)) as nb_news
  FROM '.NEWS_TABLE.'
  WHERE id NOT IN ('.$user['forbidden_news'].')
  ;';
	
$result = pwg_query($query);

$row = mysql_fetch_array($result);
$page['nb_news']=$row['nb_news'];

//display number of news per page link
$template->assign_block_vars('news_per_page', array());

foreach ($conf['nb_news_page_option'] as $option)
{
  $template->assign_block_vars(
    'news_per_page.nb_option',
    array(
      'OPTION' => $option,
      'T_STYLE' => ($option == $page['nb_news_page'])?'text-decoration:underline;':'',
      'U_OPTION' => add_url_params(NBC_NEWS_PATH.'news.php', array('nb_news_page' => $option)),
    )
  );
}
  
//display nav bar
$page['navigation_bar'] = create_navigation_bar( add_url_params(NBC_NEWS_PATH.'news.php', array('nb_news_page' => $page['nb_news_page'])), $page['nb_news'],$page['start'],$page['nb_news_page'], false);
  
$template->assign_block_vars('navigation', array('NAV_BAR' => $page['navigation_bar'])
);

  
// +-----------------------------------------------------------------------+
// |                          last news display                            |
// +-----------------------------------------------------------------------+
  
//get every languages
$available_lang=get_languages();
 
// affiche les news publics + les news du groupe de l'utilisateur + les news de l'utilisateur
$user['forbidden_news'] = calculate_news_permissions($user['id']);

$query = '
  SELECT id AS new_id, date, author
  FROM '.NEWS_TABLE.'
  WHERE id NOT IN ('.$user['forbidden_news'].')
  ORDER BY date DESC
  LIMIT '.$page['start'].','.$page['nb_news_page'].'
  ;';
    
$result = pwg_query($query);

while ($row = mysql_fetch_array($result))
{
  $new_id = $row['new_id'];
  
  $template->assign_block_vars(
    'news',
    array(
      'NEWS_AUTHOR'=>$row['author'],
      'NEWS_DATE'=>format_date($row['date'],'mysql_datetime',true),
    )
  );
  
  //get the news translation
  $query = '
    SELECT id AS news_translation_id, language, title, content
    FROM '.NEWS_TRANSLATION_TABLE.'
    WHERE new_id = \''.$new_id.'\'
    ';
    
  $no_news_translation = false;
    
  $subresult = pwg_query($query.'AND language = \''.$user['language'].'\';');
  $subrow = mysql_fetch_array($subresult);
        
  //there is a no translation for the user language
  if (empty($subrow))
  {
    $no_news_translation=true;
      
		$research = pwg_query('SELECT language FROM '.USER_INFOS_TABLE.' WHERE user_id = '.$conf['guest_id'].';');
		$defaultlanguage = mysql_fetch_array($research);

		//get the default translation	
		$subresult = pwg_query($query.'AND language = \''.$defaultlanguage['language'].'\';');
		$subrow = mysql_fetch_array($subresult);
			
    //there is no translation for the default language
    if (empty($subrow))
    {
      //get the first translation			
      $subresult = pwg_query($query.'LIMIT 1;');
      $subrow = mysql_fetch_array($subresult);
    }		
  }
      
  $message = $subrow['content'];
      
  $template->assign_block_vars(
    'news.news_translation',
    array(
      'TITLE'=>$subrow['title'],
      'CONTENT'=>$message,
    )
  );	
         
  //there is no tranlstation for this news
  if ($no_news_translation)
  {
    $template->assign_block_vars('news.news_translation.no_news_translation', array());
  }
}

// +-----------------------------------------------------------------------+
// |                           html code display                           |
// +-----------------------------------------------------------------------+

include(PHPWG_ROOT_PATH.'include/page_header.php');
//$template->assign_block_vars('title', array());
$template->parse('news');
include(PHPWG_ROOT_PATH.'include/page_tail.php');
?>
